Package: grails.rest.render.atom

## [Groovy] Class AtomRenderer<T>

- grails.rest.render.atom.AtomRenderer

- Renders output in Atom format (http://tools.ietf.org/html/rfc4287)

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.text.SimpleDateFormat` | `ATOM_DATE_FORMAT` |
    `static java.lang.String` | `ATOM_NAMESPACE` |
    `static MimeType[]` | `DEFAULT_ATOM_MIME_TYPES` |
    `static java.lang.String` | `ENTRY_TAG` |
    `static java.lang.String` | `FEED_TAG` |
    `static java.text.SimpleDateFormat` | `ID_DATE_FORMAT` |
    `static java.lang.String` | `ID_TAG` |
    `static MimeType` | `MIME_TYPE` |
    `static java.lang.String` | `PUBLISHED_TAG` |
    `static java.lang.String` | `RELATIONSHIP_ALTERNATE` |
    `static java.lang.String` | `UPDATED_TAG` |
    `static java.lang.String` | `XMLNS_ATTRIBUTE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class HalXmlRenderer` | `LINK_TAG, MIME_TYPE, RELATIONSHIP_ATTRIBUTE, RESOURCE_TAG`
    `class AbstractLinkingRenderer` | `DEFAULT_EXCLUDES, DEPRECATED_ATTRIBUTE, HREFLANG_ATTRIBUTE, HREF_ATTRIBUTE, RELATIONSHIP_SELF, TEMPLATED_ATTRIBUTE, TITLE_ATTRIBUTE, TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AtomRenderer (java.lang.Class<T> targetType)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.String` | `formatAtomDate(java.util.Date dateCreated)`
    `` | `protected java.lang.String` | `formatDateCreated(java.lang.Object object)`
    `` | `protected java.lang.String` | `formatLastUpdated(java.lang.Object object)`
    `` | `java.lang.String` | `generateIdForURI(java.lang.String url, java.util.Date dateCreated = null, java.lang.Object id = null)`
    `` | `java.lang.String` | `getObjectId(org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object object)`
    `` | `void` | `renderInternal(T object, RenderContext context)`
    `` | `protected void` | `writeDomainWithEmbeddedAndLinks(org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object object, RenderContext context, XML xml, java.util.Set writtenObjects, boolean isFirst = true)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HalXmlRenderer` | `renderInternal, startResourceTag, startResourceTagForCurrentPath, writeDomainProperty, writeDomainWithEmbeddedAndLinks, writeLink`
    `class AbstractLinkingRenderer` | `getLinkTitle, getLinksForObject, getResourceTitle, isDomainResource, render, renderInternal, writeAssociationLinks, writeDomain, writeDomainProperty, writeExtraLinks, writeLink`
    `class AbstractIncludeExcludeRenderer` | `excludesProperty, includesProperty, shouldIncludeProperty`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.text.SimpleDateFormat ATOM_DATE_FORMAT

    - #### public static final java.lang.String ATOM_NAMESPACE

    - #### public static final MimeType[] DEFAULT_ATOM_MIME_TYPES

    - #### public static final java.lang.String ENTRY_TAG

    - #### public static final java.lang.String FEED_TAG

    - #### public static final java.text.SimpleDateFormat ID_DATE_FORMAT

    - #### public static final java.lang.String ID_TAG

    - #### public static final MimeType MIME_TYPE

    - #### public static final java.lang.String PUBLISHED_TAG

    - #### public static final java.lang.String RELATIONSHIP_ALTERNATE

    - #### public static final java.lang.String UPDATED_TAG

    - #### public static final java.lang.String XMLNS_ATTRIBUTE

  - ### Constructor Detail

    - #### AtomRenderer(java.lang.Class<T> targetType)

  - ### Method Detail

    - #### protected java.lang.String formatAtomDate(java.util.Date dateCreated)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected java.lang.String formatDateCreated(java.lang.Object object)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected java.lang.String formatLastUpdated(java.lang.Object object)

    - #### java.lang.String generateIdForURI(java.lang.String url, java.util.Date dateCreated = null, java.lang.Object id = null)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) java.lang.String getObjectId(org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object object)

    - #### @java.lang.Override void renderInternal(T object, RenderContext context)

    - #### protected void writeDomainWithEmbeddedAndLinks(org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object object, RenderContext context, XML xml, java.util.Set writtenObjects, boolean isFirst = true)